Subject: Re: bug#16347: 24.3.50; Company pseudo-tooltip refresh problem when expanded down at eob

From: Stefan Monnier <[email-masked]>
Date: Wed, 08 Jan 2014 12:52:30 -0500

> 1. M-x ielm.
> 2. Make sure that there's no text after point, and there are enough
> screen lines below it so that the pseudo-tooltip will be rendered below
> the current line.
> 3. M-x company-complete.
> 4. Press `M-n' and/or `M-p' several times. Note that the "current"
> candidate doesn't change, but different summary lines get shown in the
> echo area.

I can't reproduce it.  Here's what I did:

  src/emacs -Q -l ../elpa/packages/company/company-autoloads.el -f ielm -f company-mode
  M-x company-complete RET
  M-n M-n M-n ... M-p M-p ...

and I didn't notice anything strange happening: every M-n or M-p
correctly moved the higlighting in the popup menu to the next/previous line.

        Stefan